*** empty log message ***
authorroot <root>
Tue, 18 Jan 2005 01:31:44 +0000 (01:31 +0000)
committerroot <root>
Tue, 18 Jan 2005 01:31:44 +0000 (01:31 +0000)
autoconf/config.h.in
autoconf/configure.in
configure

index af36fb4..d4a24ff 100644 (file)
-/* autoconf/config.h.in.  Generated from autoconf/configure.in by autoheader.  */
+/* autoconf/config.h.in.  Generated automatically from autoconf/configure.in by autoheader 2.13.  */
 
 
-/* Define if you want blinking cursor support */
-#undef CURSOR_BLINK
-
-/* Define if you want 8 bit control sequences */
-#undef EIGHT_BIT_CONTROLS
+/* Define if on AIX 3.
+   System headers sometimes define this.
+   We just want to avoid a redefinition error message.  */
+#ifndef _ALL_SOURCE
+#undef _ALL_SOURCE
+#endif
 
 
-/* Define if you want to automatically compose combining characters */
-#undef ENABLE_COMBINING
+/* Define to empty if the keyword does not work.  */
+#undef const
 
 
-/* Define if you want handling for rarely used but handy features */
-#undef ENABLE_FRILLS
+/* Define to `int' if <sys/types.h> doesn't define.  */
+#undef gid_t
 
 
-/* Define if you want bold and italic support */
-#undef ENABLE_STYLES
+/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
+#undef HAVE_SYS_WAIT_H
 
 
-/* Define if you want european extended codesets */
-#undef ENCODING_EU
+/* Define as __inline if that's what the C compiler calls it.  */
+#undef inline
 
 
-/* Define if you want japanese codesets */
-#undef ENCODING_JP
+/* Define to `int' if <sys/types.h> doesn't define.  */
+#undef mode_t
 
 
-/* Define if you want extended japanese codesets */
-#undef ENCODING_JP_EXT
+/* Define to `int' if <sys/types.h> doesn't define.  */
+#undef pid_t
 
 
-/* Define if you want korean codesets */
-#undef ENCODING_KR
+/* Define if you need to in order for stat and other things to work.  */
+#undef _POSIX_SOURCE
 
 
-/* Define if you want vietnamese codesets */
-#undef ENCODING_VN
+/* Define as the return type of signal handlers (int or void).  */
+#undef RETSIGTYPE
 
 
-/* Define if you want chinese codesets */
-#undef ENCODING_ZH
+/* Define if you have the ANSI C header files.  */
+#undef STDC_HEADERS
 
 
-/* Define if you want extended chinese codesets */
-#undef ENCODING_ZH_EXT
+/* Define if you can safely include both <sys/time.h> and <time.h>.  */
+#undef TIME_WITH_SYS_TIME
 
 
-/* Define if you want the depth of scrollbars and menus to be less */
-#undef HALFSHADOW
+/* Define to `int' if <sys/types.h> doesn't define.  */
+#undef uid_t
 
 
-/* Define to 1 if you have the <assert.h> header file. */
-#undef HAVE_ASSERT_H
+/* Define if the X Window System is missing or not being used.  */
+#undef X_DISPLAY_MISSING
 
 
-/* Define to 1 if you have the `atexit' function. */
-#undef HAVE_ATEXIT
+/* The number of bytes in a int.  */
+#undef SIZEOF_INT
 
 
-/* Define to 1 if you have the <dlfcn.h> header file. */
-#undef HAVE_DLFCN_H
+/* The number of bytes in a int *.  */
+#undef SIZEOF_INT_P
 
 
-/* Define to 1 if you have the <fcntl.h> header file. */
-#undef HAVE_FCNTL_H
+/* The number of bytes in a long long.  */
+#undef SIZEOF_LONG_LONG
 
 
-/* Define if you have _GNU_SOURCE getpt() */
-#undef HAVE_GETPT
+/* The number of bytes in a short.  */
+#undef SIZEOF_SHORT
 
 
-/* Define to 1 if you have the `grantpt' function. */
-#undef HAVE_GRANTPT
+/* Define if you have the _getpty function.  */
+#undef HAVE__GETPTY
 
 
-/* Define to 1 if you have the <grp.h> header file. */
-#undef HAVE_GRP_H
+/* Define if you have the atexit function.  */
+#undef HAVE_ATEXIT
 
 
-/* Define to 1 if you have the <inttypes.h> header file. */
-#undef HAVE_INTTYPES_H
+/* Define if you have the grantpt function.  */
+#undef HAVE_GRANTPT
 
 
-/* Define to 1 if you have the `isastream' function. */
+/* Define if you have the isastream function.  */
 #undef HAVE_ISASTREAM
 
 #undef HAVE_ISASTREAM
 
-/* Define to 1 if you have the <lastlog.h> header file. */
-#undef HAVE_LASTLOG_H
-
-/* Define to 1 if you have the <libc.h> header file. */
-#undef HAVE_LIBC_H
-
-/* Define to 1 if you have the `Xft' library (-lXft). */
-#undef HAVE_LIBXFT
-
-/* Define to 1 if you have the <memory.h> header file. */
-#undef HAVE_MEMORY_H
-
-/* Define to 1 if you have the `nanosleep' function. */
+/* Define if you have the nanosleep function.  */
 #undef HAVE_NANOSLEEP
 
 #undef HAVE_NANOSLEEP
 
-/* Define if nl_langinfo(CODESET) works */
-#undef HAVE_NL_LANGINFO
-
-/* Define to 1 if you have the `on_exit' function. */
+/* Define if you have the on_exit function.  */
 #undef HAVE_ON_EXIT
 
 #undef HAVE_ON_EXIT
 
-/* Define to 1 if you have the `openpty' function. */
+/* Define if you have the openpty function.  */
 #undef HAVE_OPENPTY
 
 #undef HAVE_OPENPTY
 
-/* Define to 1 if you have the <pty.h> header file. */
-#undef HAVE_PTY_H
-
-/* Define to 1 if you have the `revoke' function. */
+/* Define if you have the revoke function.  */
 #undef HAVE_REVOKE
 
 #undef HAVE_REVOKE
 
-/* Define to 1 if you have the `seteuid' function. */
+/* Define if you have the seteuid function.  */
 #undef HAVE_SETEUID
 
 #undef HAVE_SETEUID
 
-/* Define if plain old setlocale works */
-#undef HAVE_SETLOCALE
-
-/* Define to 1 if you have the `setpgid' function. */
+/* Define if you have the setpgid function.  */
 #undef HAVE_SETPGID
 
 #undef HAVE_SETPGID
 
-/* Define to 1 if you have the `setpgrp' function. */
+/* Define if you have the setpgrp function.  */
 #undef HAVE_SETPGRP
 
 #undef HAVE_SETPGRP
 
-/* Define to 1 if you have the `setreuid' function. */
+/* Define if you have the setreuid function.  */
 #undef HAVE_SETREUID
 
 #undef HAVE_SETREUID
 
-/* Define to 1 if you have the `setsid' function. */
+/* Define if you have the setsid function.  */
 #undef HAVE_SETSID
 
 #undef HAVE_SETSID
 
-/* Define to 1 if you have the `setutent' function. */
+/* Define if you have the setutent function.  */
 #undef HAVE_SETUTENT
 
 #undef HAVE_SETUTENT
 
-/* Define to 1 if you have the <stdarg.h> header file. */
-#undef HAVE_STDARG_H
+/* Define if you have the ttyslot function.  */
+#undef HAVE_TTYSLOT
 
 
-/* Define to 1 if you have the <stdint.h> header file. */
-#undef HAVE_STDINT_H
+/* Define if you have the unlockpt function.  */
+#undef HAVE_UNLOCKPT
 
 
-/* Define to 1 if you have the <stdlib.h> header file. */
-#undef HAVE_STDLIB_H
+/* Define if you have the unsetenv function.  */
+#undef HAVE_UNSETENV
 
 
-/* Define to 1 if you have the <strings.h> header file. */
-#undef HAVE_STRINGS_H
+/* Define if you have the updwtmp function.  */
+#undef HAVE_UPDWTMP
 
 
-/* Define to 1 if you have the <string.h> header file. */
-#undef HAVE_STRING_H
+/* Define if you have the <X11/Xft/Xft.h> header file.  */
+#undef HAVE_X11_XFT_XFT_H
 
 
-/* Define if utmp.h or lastlog.h has struct lastlog */
-#undef HAVE_STRUCT_LASTLOG
+/* Define if you have the <assert.h> header file.  */
+#undef HAVE_ASSERT_H
 
 
-/* Define if utmpx.h or lastlog.h has struct lastlogx */
-#undef HAVE_STRUCT_LASTLOGX
+/* Define if you have the <dlfcn.h> header file.  */
+#undef HAVE_DLFCN_H
 
 
-/* Define if utmp.h has struct utmp */
-#undef HAVE_STRUCT_UTMP
+/* Define if you have the <fcntl.h> header file.  */
+#undef HAVE_FCNTL_H
 
 
-/* Define if utmpx.h has struct utmpx */
-#undef HAVE_STRUCT_UTMPX
+/* Define if you have the <grp.h> header file.  */
+#undef HAVE_GRP_H
+
+/* Define if you have the <lastlog.h> header file.  */
+#undef HAVE_LASTLOG_H
 
 
-/* Define to 1 if you have the <sys/byteorder.h> header file. */
+/* Define if you have the <libc.h> header file.  */
+#undef HAVE_LIBC_H
+
+/* Define if you have the <pty.h> header file.  */
+#undef HAVE_PTY_H
+
+/* Define if you have the <stdarg.h> header file.  */
+#undef HAVE_STDARG_H
+
+/* Define if you have the <stdint.h> header file.  */
+#undef HAVE_STDINT_H
+
+/* Define if you have the <stdlib.h> header file.  */
+#undef HAVE_STDLIB_H
+
+/* Define if you have the <string.h> header file.  */
+#undef HAVE_STRING_H
+
+/* Define if you have the <sys/byteorder.h> header file.  */
 #undef HAVE_SYS_BYTEORDER_H
 
 #undef HAVE_SYS_BYTEORDER_H
 
-/* Define to 1 if you have the <sys/ioctl.h> header file. */
+/* Define if you have the <sys/ioctl.h> header file.  */
 #undef HAVE_SYS_IOCTL_H
 
 #undef HAVE_SYS_IOCTL_H
 
-/* Define to 1 if you have the <sys/select.h> header file. */
+/* Define if you have the <sys/select.h> header file.  */
 #undef HAVE_SYS_SELECT_H
 
 #undef HAVE_SYS_SELECT_H
 
-/* Define to 1 if you have the <sys/sockio.h> header file. */
+/* Define if you have the <sys/sockio.h> header file.  */
 #undef HAVE_SYS_SOCKIO_H
 
 #undef HAVE_SYS_SOCKIO_H
 
-/* Define to 1 if you have the <sys/stat.h> header file. */
-#undef HAVE_SYS_STAT_H
-
-/* Define to 1 if you have the <sys/stropts.h> header file. */
+/* Define if you have the <sys/stropts.h> header file.  */
 #undef HAVE_SYS_STROPTS_H
 
 #undef HAVE_SYS_STROPTS_H
 
-/* Define to 1 if you have the <sys/strredir.h> header file. */
+/* Define if you have the <sys/strredir.h> header file.  */
 #undef HAVE_SYS_STRREDIR_H
 
 #undef HAVE_SYS_STRREDIR_H
 
-/* Define to 1 if you have the <sys/time.h> header file. */
+/* Define if you have the <sys/time.h> header file.  */
 #undef HAVE_SYS_TIME_H
 
 #undef HAVE_SYS_TIME_H
 
-/* Define to 1 if you have the <sys/types.h> header file. */
-#undef HAVE_SYS_TYPES_H
-
-/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
-#undef HAVE_SYS_WAIT_H
-
-/* Define to 1 if you have the <termios.h> header file. */
+/* Define if you have the <termios.h> header file.  */
 #undef HAVE_TERMIOS_H
 
 #undef HAVE_TERMIOS_H
 
-/* Define to 1 if you have the `ttyslot' function. */
-#undef HAVE_TTYSLOT
-
-/* Define to 1 if you have the <unistd.h> header file. */
+/* Define if you have the <unistd.h> header file.  */
 #undef HAVE_UNISTD_H
 
 #undef HAVE_UNISTD_H
 
-/* Define to 1 if you have the `unlockpt' function. */
-#undef HAVE_UNLOCKPT
-
-/* Define to 1 if you have the `unsetenv' function. */
-#undef HAVE_UNSETENV
-
-/* Define to 1 if you have the `updwtmp' function. */
-#undef HAVE_UPDWTMP
-
-/* Define to 1 if you have the <utmpx.h> header file. */
-#undef HAVE_UTMPX_H
-
-/* Define if struct utmpx contains ut_host */
-#undef HAVE_UTMPX_HOST
-
-/* Define to 1 if you have the <utmp.h> header file. */
+/* Define if you have the <utmp.h> header file.  */
 #undef HAVE_UTMP_H
 
 #undef HAVE_UTMP_H
 
-/* Define if struct utmp contains ut_host */
-#undef HAVE_UTMP_HOST
-
-/* Define if struct utmp contains ut_pid */
-#undef HAVE_UTMP_PID
-
-/* Define to 1 if you have the <X11/Xft/Xft.h> header file. */
-#undef HAVE_X11_XFT_XFT_H
-
-/* Define if Xlocale support works */
-#undef HAVE_XLOCALE
-
-/* Define if you have XPointer typedef */
-#undef HAVE_XPOINTER
+/* Define if you have the <utmpx.h> header file.  */
+#undef HAVE_UTMPX_H
 
 
-/* Define if setlocale (defined to Xsetlocale) works */
-#undef HAVE_XSETLOCALE
+/* Define if you have the Xft library (-lXft).  */
+#undef HAVE_LIBXFT
 
 
-/* Define to 1 if you have the `_getpty' function. */
-#undef HAVE__GETPTY
+/* Use all glibc features. */
+#undef _GNU_SOURCE
 
 
-/* Define if you want ISO 14755 extended support */
-#undef ISO_14755
+/* Needed to get declarations for msg_control and msg_controllen on Solaris */
+#undef _XOPEN_SOURCE_EXTENDED
 
 
-/* Define if lastlog is provided via a directory */
-#undef LASTLOG_IS_DIR
+/* Needed to get declarations for msg_control and msg_controllen on Solaris */
+#undef _XOPEN_SOURCE
 
 
-/* Define if you want to have lastlog support when utmp/utmpx is enabled */
-#undef LASTLOG_SUPPORT
+/* Needed to get declarations for msg_control and msg_controllen on Solaris */
+#undef __EXTENSIONS__
 
 /* Build shared library version - specify via configure only */
 #undef LIBRXVT
 
 
 /* Build shared library version - specify via configure only */
 #undef LIBRXVT
 
-/* Define if you want Menubar support */
-#undef MENUBAR
-
-/* Define to have CTRL cause wheel events to accelerate scrolling. Release
-   CTRL to halt scrolling */
-#undef MOUSE_SLIP_WHEELING
-
-/* Define to use wheel events (button4 and button5) to scroll */
-#undef MOUSE_WHEEL
+/* Define if you want the depth of scrollbars and menus to be less */
+#undef HALFSHADOW
 
 
-/* Support NeXT style scrollbars */
-#undef NEXT_SCROLLBAR
+/* Define to change gid of ttys to group tty */
+#undef TTY_GID_SUPPORT
 
 /* Define if you don't want support for the backspace key */
 #undef NO_BACKSPACE_KEY
 
 /* Define if you don't want support for the backspace key */
 #undef NO_BACKSPACE_KEY
 /* Define if you don't want any resources read */
 #undef NO_RESOURCES
 
 /* Define if you don't want any resources read */
 #undef NO_RESOURCES
 
-/* Define for continual scrolling when you keep the scrollbar button pressed
-   */
-#undef NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING
-
-/* Disable the secondary screen. Many programs use the secondary screen as
-   their workplace */
-#undef NO_SECONDARY_SCREEN
-
-/* Define if you don't need to use our replacement string functions */
-#undef NO_STRINGS
-
-/* Define if you want faded colors when focus is lost */
-#undef OFF_FOCUS_FADING
+/* Define if you want to use XGetDefault instead of our internal version */
+#undef USE_XGETDEFAULT
 
 
-/* Define to the address where bug reports for this package should be sent. */
-#undef PACKAGE_BUGREPORT
+/* Fallback resource class */
+#undef RESFALLBACK
 
 
-/* Define to the full name of this package. */
-#undef PACKAGE_NAME
+/* Default resource name */
+#undef RESNAME
 
 
-/* Define to the full name and version of this package. */
-#undef PACKAGE_STRING
+/* Resource class */
+#undef RESCLASS
 
 
-/* Define to the one symbol short name of this package. */
-#undef PACKAGE_TARNAME
+/* Binary base name */
+#undef RXVTNAME
 
 
-/* Define to the version of this package. */
-#undef PACKAGE_VERSION
+/* Disable the secondary screen. Many programs use the secondary screen as their workplace */
+#undef NO_SECONDARY_SCREEN
 
 
-/* Support plain style scrollbars */
-#undef PLAIN_SCROLLBAR
+/* Define to use smart resize behavior */
+#undef SMART_RESIZE
 
 
-/* Define if you want hide the pointer while typing */
-#undef POINTER_BLANK
+/* Set TERM to the value given by configure */
+#undef TERMENV
 
 
-/* Define to use a 24 bit visual if the screen has 24 bit mode */
-#undef PREFER_24BIT
+/* Set TERMINFO value to the value given by configure */
+#undef RXVT_TERMINFO
 
 /* Define if you need function prototypes */
 #undef PROTOTYPES
 
 
 /* Define if you need function prototypes */
 #undef PROTOTYPES
 
-/* Define for first char in devptyXX */
-#undef PTYCHAR1
-
-/* Define for second char in devptyXX */
-#undef PTYCHAR2
+/* Define if you include <X11/xpm.h> on a normal include path (be careful) */
+#undef XPM_INC_X11
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_CLONE
+/* Define if you have XPointer typedef */
+#undef HAVE_XPOINTER
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_GETPT
+/* Define if utmp.h has struct utmp */
+#undef HAVE_STRUCT_UTMP
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_GETPTY
+/* Define if struct utmp contains ut_host */
+#undef HAVE_UTMP_HOST
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_NUMERIC
+/* Define if struct utmp contains ut_pid */
+#undef HAVE_UTMP_PID
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_OPENPTY
+/* Define if utmpx.h has struct utmpx */
+#undef HAVE_STRUCT_UTMPX
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_PTC
+/* Define if struct utmpx contains ut_host */
+#undef HAVE_UTMPX_HOST
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_PTMX
+/* Define if utmp.h or lastlog.h has struct lastlog */
+#undef HAVE_STRUCT_LASTLOG
 
 
-/* Define for this pty type */
-#undef PTYS_ARE_SEARCHED
+/* Define if utmpx.h or lastlog.h has struct lastlogx */
+#undef HAVE_STRUCT_LASTLOGX
 
 
-/* Define for this pty type */
-#undef PTYS_ARE__GETPTY
+/* Define location of utmp */
+#undef RXVT_UTMP_FILE
 
 
-/* Resource class */
-#undef RESCLASS
+/* Define location of utmpx */
+#undef RXVT_UTMPX_FILE
 
 
-/* Fallback resource class */
-#undef RESFALLBACK
+/* Define location of wtmp */
+#undef RXVT_WTMP_FILE
 
 
-/* Default resource name */
-#undef RESNAME
+/* Define location of wtmpx */
+#undef RXVT_WTMPX_FILE
 
 
-/* Define as the return type of signal handlers (`int' or `void'). */
-#undef RETSIGTYPE
+/* Define location of lastlog */
+#undef RXVT_LASTLOG_FILE
 
 
-/* Binary base name */
-#undef RXVTNAME
+/* Define if lastlog is provided via a directory */
+#undef LASTLOG_IS_DIR
 
 /* Define location of lastlogx */
 #undef RXVT_LASTLOGX_FILE
 
 
 /* Define location of lastlogx */
 #undef RXVT_LASTLOGX_FILE
 
-/* Define location of lastlog */
-#undef RXVT_LASTLOG_FILE
+/* Define location of ttys/ttytab */
+#undef TTYTAB_FILENAME
 
 
-/* Support Rxvt original style scrollbars */
-#undef RXVT_SCROLLBAR
+/* Define if Xlocale support works */
+#undef HAVE_XLOCALE
 
 
-/* Set TERMINFO value to the value given by configure */
-#undef RXVT_TERMINFO
+/* Define if setlocale (defined to Xsetlocale) works */
+#undef HAVE_XSETLOCALE
 
 
-/* Define location of utmpx */
-#undef RXVT_UTMPX_FILE
+/* Define if plain old setlocale works */
+#undef HAVE_SETLOCALE
 
 
-/* Define location of utmp */
-#undef RXVT_UTMP_FILE
+/* Define if nl_langinfo(CODESET) works */
+#undef HAVE_NL_LANGINFO
 
 
-/* Define location of wtmpx */
-#undef RXVT_WTMPX_FILE
+/* Define if your XIMCallback specifies XIC as first type. */
+#undef XIMCB_PROTO_BROKEN
 
 
-/* Define location of wtmp */
-#undef RXVT_WTMP_FILE
+/* Define if you have _GNU_SOURCE getpt()  */
+#undef HAVE_GETPT
 
 
-/* Define to allow scrolling when the selection moves to the top or bottom of
-   the screen */
-#undef SELECTION_SCROLLING
+/* Define for this pty type */
+#undef PTYS_ARE_OPENPTY
 
 
-/* The size of a `int', as computed by sizeof. */
-#undef SIZEOF_INT
+/* Define for this pty type */
+#undef PTYS_ARE_NUMERIC
 
 
-/* The size of a `int *', as computed by sizeof. */
-#undef SIZEOF_INT_P
+/* Define for this pty type */
+#undef PTYS_ARE_PTMX
 
 
-/* The size of a `long long', as computed by sizeof. */
-#undef SIZEOF_LONG_LONG
+/* Define for this pty type */
+#undef PTYS_ARE_PTC
 
 
-/* The size of a `short', as computed by sizeof. */
-#undef SIZEOF_SHORT
+/* Define for this pty type */
+#undef PTYS_ARE__GETPTY
 
 
-/* Define to use "smart" resize behavior */
-#undef SMART_RESIZE
+/* Define for this pty type */
+#undef PTYS_ARE_GETPTY
 
 
-/* Define to 1 if you have the ANSI C header files. */
-#undef STDC_HEADERS
+/* Define for this pty type */
+#undef PTYS_ARE_GETPT
 
 
-/* Set TERM to the value given by configure */
-#undef TERMENV
+/* Define for this pty type */
+#undef PTYS_ARE_CLONE
 
 
-/* Define if you want blinking text support */
-#undef TEXT_BLINK
+/* Define for this pty type */
+#undef PTYS_ARE_SEARCHED
 
 
-/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
-#undef TIME_WITH_SYS_TIME
+/* Define for first char in devptyXX */
+#undef PTYCHAR1
+
+/* Define for second char in devptyXX */
+#undef PTYCHAR2
+
+/* Define to enable xft support */
+#undef XFT
+
+/* Define if you want bold and italic support */
+#undef ENABLE_STYLES
+
+/* Define if you want ISO 14755 extended support */
+#undef ISO_14755
+
+/* Define if you want 8 bit control sequences */
+#undef EIGHT_BIT_CONTROLS
+
+/* Define if you want faded colors when focus is lost */
+#undef OFF_FOCUS_FADING
 
 /* Define if you want your background to be tinted */
 #undef TINTING
 
 /* Define if you want your background to be tinted */
 #undef TINTING
 /* Define if you want your background to use the parent window background */
 #undef TRANSPARENT
 
 /* Define if you want your background to use the parent window background */
 #undef TRANSPARENT
 
-/* Define location of ttys/ttytab */
-#undef TTYTAB_FILENAME
+/* Define for continual scrolling when you keep the scrollbar button pressed */
+#undef NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING
 
 
-/* Define to change gid of ttys to group tty */
-#undef TTY_GID_SUPPORT
+/* Define to allow scrolling when the selection moves to the top or bottom of the screen */
+#undef SELECTION_SCROLLING
 
 
-/* Define if you want to represent unicode characters outside plane 0 */
-#undef UNICODE_3
+/* Define if you want Menubar support */
+#undef MENUBAR
 
 
-/* Define if you want to use XGetDefault instead of our internal version */
-#undef USE_XGETDEFAULT
+/* Define if you want handling for rarely used but handy features */
+#undef ENABLE_FRILLS
 
 
-/* Define if you want to have XIM (X Input Method) protocol support - required
-   for multibyte characters input */
-#undef USE_XIM
+/* Define to use a 24 bit visual if the screen has 24 bit mode */
+#undef PREFER_24BIT
+
+/* Define to use wheel events (button4 and button5) to scroll */
+#undef MOUSE_WHEEL
+
+/* Define to have CTRL cause wheel events to accelerate scrolling. Release CTRL to halt scrolling */
+#undef MOUSE_SLIP_WHEELING
 
 /* Define if you want to have utmp/utmpx support */
 #undef UTMP_SUPPORT
 
 /* Define if you want to have utmp/utmpx support */
 #undef UTMP_SUPPORT
 /* Define if you want to have wtmp support when utmp/utmpx is enabled */
 #undef WTMP_SUPPORT
 
 /* Define if you want to have wtmp support when utmp/utmpx is enabled */
 #undef WTMP_SUPPORT
 
-/* Define to enable xft support */
-#undef XFT
+/* Define if you want to have lastlog support when utmp/utmpx is enabled */
+#undef LASTLOG_SUPPORT
 
 
-/* Define if your XIMCallback specifies XIC as first type. */
-#undef XIMCB_PROTO_BROKEN
+/* Define if you want to have XIM (X Input Method) protocol support - required for multibyte characters input */
+#undef USE_XIM
 
 /* Define if you want to have sexy-looking background pixmaps. Needs libXpm */
 #undef XPM_BACKGROUND
 
 
 /* Define if you want to have sexy-looking background pixmaps. Needs libXpm */
 #undef XPM_BACKGROUND
 
-/* Define if you include <X11/xpm.h> on a normal include path (be careful) */
-#undef XPM_INC_X11
+/* Support Rxvt original style scrollbars */
+#undef RXVT_SCROLLBAR
+
+/* Support NeXT style scrollbars */
+#undef NEXT_SCROLLBAR
 
 /* Support Xterm style scrollbars */
 #undef XTERM_SCROLLBAR
 
 
 /* Support Xterm style scrollbars */
 #undef XTERM_SCROLLBAR
 
-/* Define to 1 if the X Window System is missing or not being used. */
-#undef X_DISPLAY_MISSING
+/* Support plain style scrollbars */
+#undef PLAIN_SCROLLBAR
 
 
-/* Define to 1 if on AIX 3.
-   System headers sometimes define this.
-   We just want to avoid a redefinition error message.  */
-#ifndef _ALL_SOURCE
-# undef _ALL_SOURCE
-#endif
+/* Define if you want hide the pointer while typing */
+#undef POINTER_BLANK
 
 
-/* Use all glibc features. */
-#undef _GNU_SOURCE
+/* Define if you want blinking cursor support */
+#undef CURSOR_BLINK
 
 
-/* Needed to get declarations for msg_control and msg_controllen on Solaris */
-#undef _XOPEN_SOURCE
+/* Define if you want blinking text support */
+#undef TEXT_BLINK
 
 
-/* Needed to get declarations for msg_control and msg_controllen on Solaris */
-#undef _XOPEN_SOURCE_EXTENDED
+/* Define if you want to represent unicode characters outside plane 0 */
+#undef UNICODE_3
 
 
-/* Needed to get declarations for msg_control and msg_controllen on Solaris */
-#undef __EXTENSIONS__
+/* Define if you want to automatically compose combining characters */
+#undef ENABLE_COMBINING
 
 
-/* Define to empty if `const' does not conform to ANSI C. */
-#undef const
+/* Define if you want european extended codesets */
+#undef ENCODING_EU
 
 
-/* Define to `int' if <sys/types.h> doesn't define. */
-#undef gid_t
+/* Define if you want vietnamese codesets */
+#undef ENCODING_VN
 
 
-/* Define to `__inline__' or `__inline' if that's what the C compiler
-   calls it, or to nothing if 'inline' is not supported under any name.  */
-#ifndef __cplusplus
-#undef inline
-#endif
+/* Define if you want japanese codesets */
+#undef ENCODING_JP
 
 
-/* Define to `int' if <sys/types.h> does not define. */
-#undef mode_t
+/* Define if you want extended japanese codesets */
+#undef ENCODING_JP_EXT
 
 
-/* Define to `int' if <sys/types.h> does not define. */
-#undef pid_t
+/* Define if you want korean codesets */
+#undef ENCODING_KR
+
+/* Define if you want chinese codesets */
+#undef ENCODING_ZH
+
+/* Define if you want extended chinese codesets */
+#undef ENCODING_ZH_EXT
+
+/* Define if you don't need to use our replacement string functions */
+#undef NO_STRINGS
 
 
-/* Define to `int' if <sys/types.h> doesn't define. */
-#undef uid_t
index 2565d1c..e1b4c6e 100644 (file)
@@ -1365,7 +1365,6 @@ doc/Makefile \
 src/Makefile \
 src/test/Makefile \
 src/rxvtlib.h \
 src/Makefile \
 src/test/Makefile \
 src/rxvtlib.h \
-W11/Makefile \
 ])
 AC_OUTPUT
 
 ])
 AC_OUTPUT
 
index 8e31357..94bcf56 100755 (executable)
--- a/configure
+++ b/configure
@@ -467,7 +467,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
 ac_subst_files='MCOMMON'
 
 # Initialize some variables set by options.
 ac_subst_files='MCOMMON'
 
 # Initialize some variables set by options.
@@ -1059,7 +1059,6 @@ Optional Features:
   --disable-swapscreen    disable swap screen support
   --enable-iso14755       enable support for extended ISO 14755 modes
   --enable-frills         enable support for rarely used features
   --disable-swapscreen    disable swap screen support
   --enable-iso14755       enable support for extended ISO 14755 modes
   --enable-frills         enable support for rarely used features
-  --enable-linespace      enable support for linespace
   --enable-24bit          enable support for using 24bit visuals if available
   --enable-keepscrolling  enable continual scrolling on scrollbar arrow press
   --enable-selectionscrolling  enable scrolling during selections
   --enable-24bit          enable support for using 24bit visuals if available
   --enable-keepscrolling  enable continual scrolling on scrollbar arrow press
   --enable-selectionscrolling  enable scrolling during selections
@@ -1568,6 +1567,61 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_headers="$ac_config_headers config.h:autoconf/config.h.in"
 
 
           ac_config_headers="$ac_config_headers config.h:autoconf/config.h.in"
 
 
+# Make sure we can run config.sub.
+$ac_config_sub sun4 >/dev/null 2>&1 ||
+  { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
+echo "$as_me: error: cannot run $ac_config_sub" >&2;}
+   { (exit 1); exit 1; }; }
+
+echo "$as_me:$LINENO: checking build system type" >&5
+echo $ECHO_N "checking build system type... $ECHO_C" >&6
+if test "${ac_cv_build+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_build_alias=$build_alias
+test -z "$ac_cv_build_alias" &&
+  ac_cv_build_alias=`$ac_config_guess`
+test -z "$ac_cv_build_alias" &&
+  { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
+echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
+   { (exit 1); exit 1; }; }
+ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
+  { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
+echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+echo "$as_me:$LINENO: result: $ac_cv_build" >&5
+echo "${ECHO_T}$ac_cv_build" >&6
+build=$ac_cv_build
+build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
+build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
+build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
+
+
+echo "$as_me:$LINENO: checking host system type" >&5
+echo $ECHO_N "checking host system type... $ECHO_C" >&6
+if test "${ac_cv_host+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_host_alias=$host_alias
+test -z "$ac_cv_host_alias" &&
+  ac_cv_host_alias=$ac_cv_build_alias
+ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
+  { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
+echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+echo "$as_me:$LINENO: result: $ac_cv_host" >&5
+echo "${ECHO_T}$ac_cv_host" >&6
+host=$ac_cv_host
+host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
+host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
+host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
+
+
+
 VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 LSMDATE=`sed -n -e 's/^.*[ \t]LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 LSMDATE=`sed -n -e 's/^.*[ \t]LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
@@ -3213,6 +3267,14 @@ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
+if test -z "$orig_CXXFLAGS"; then
+  CXXFLAGS='-O'
+  if test x$GCC = xyes && test "x$GXX" = xyes; then
+    CXXFLAGS="-g -O3"
+  fi
+  CFLAGS="$CXXFLAGS"
+fi
+
 LINKER="$CXX"
 if test x$GCC = xyes && test x$GXX = xyes; then
 
 LINKER="$CXX"
 if test x$GCC = xyes && test x$GXX = xyes; then
 
@@ -3284,7 +3346,31 @@ fi
 LINKER=$LINKER
 
 
 LINKER=$LINKER
 
 
-CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE=2"
+
+cat >>confdefs.h <<\_ACEOF
+#define _GNU_SOURCE 1
+_ACEOF
+
+
+case $host in
+   *-*-solaris* )
+
+cat >>confdefs.h <<\_ACEOF
+#define _XOPEN_SOURCE_EXTENDED 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define _XOPEN_SOURCE 2
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define __EXTENSIONS__ 1
+_ACEOF
+
+      ;;
+esac
 
 
 ac_ext=cc
 
 
 ac_ext=cc
@@ -3962,60 +4048,6 @@ esac
 else
   enable_fast_install=yes
 fi;
 else
   enable_fast_install=yes
 fi;
-# Make sure we can run config.sub.
-$ac_config_sub sun4 >/dev/null 2>&1 ||
-  { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
-echo "$as_me: error: cannot run $ac_config_sub" >&2;}
-   { (exit 1); exit 1; }; }
-
-echo "$as_me:$LINENO: checking build system type" >&5
-echo $ECHO_N "checking build system type... $ECHO_C" >&6
-if test "${ac_cv_build+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_build_alias=$build_alias
-test -z "$ac_cv_build_alias" &&
-  ac_cv_build_alias=`$ac_config_guess`
-test -z "$ac_cv_build_alias" &&
-  { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
-echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
-   { (exit 1); exit 1; }; }
-ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
-  { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
-echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
-   { (exit 1); exit 1; }; }
-
-fi
-echo "$as_me:$LINENO: result: $ac_cv_build" >&5
-echo "${ECHO_T}$ac_cv_build" >&6
-build=$ac_cv_build
-build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
-build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
-build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
-
-
-echo "$as_me:$LINENO: checking host system type" >&5
-echo $ECHO_N "checking host system type... $ECHO_C" >&6
-if test "${ac_cv_host+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_host_alias=$host_alias
-test -z "$ac_cv_host_alias" &&
-  ac_cv_host_alias=$ac_cv_build_alias
-ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
-  { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
-echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
-   { (exit 1); exit 1; }; }
-
-fi
-echo "$as_me:$LINENO: result: $ac_cv_host" >&5
-echo "${ECHO_T}$ac_cv_host" >&6
-host=$ac_cv_host
-host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
-host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
-host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
-
-
 
 # Check whether --with-gnu-ld or --without-gnu-ld was given.
 if test "${with_gnu_ld+set}" = set; then
 
 # Check whether --with-gnu-ld or --without-gnu-ld was given.
 if test "${with_gnu_ld+set}" = set; then
@@ -5240,7 +5272,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
 case "$host" in
 *-*-irix6*)
   # Find out which ABI we are using.
 case "$host" in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5243 "configure"' > conftest.$ac_ext
+  echo '#line 5275 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5791,7 +5823,7 @@ chmod -w .
 save_CFLAGS="$CFLAGS"
 CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
 compiler_c_o=no
 save_CFLAGS="$CFLAGS"
 CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
 compiler_c_o=no
-if { (eval echo configure:5794: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:5826: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
   # The compiler can only warn and ignore the option if not recognized
   # So say no if there are warnings
   if test -s out/conftest.err; then
   # The compiler can only warn and ignore the option if not recognized
   # So say no if there are warnings
   if test -s out/conftest.err; then
@@ -7407,7 +7439,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 7410 "configure"
+#line 7442 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -7505,7 +7537,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 7508 "configure"
+#line 7540 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8236,7 +8268,6 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
 MALLOC_TYPE=S
 support_addstrings=no
 support_frills=no
 MALLOC_TYPE=S
 support_addstrings=no
 support_frills=no
-support_linespace=no
 support_inheritpixmap=no
 support_tinting=no
 support_fading=no
 support_inheritpixmap=no
 support_tinting=no
 support_fading=no
@@ -8282,7 +8313,6 @@ if test "${enable_everything+set}" = set; then
   if test x$enableval = xyes; then
     support_24bit=yes
     support_frills=yes
   if test x$enableval = xyes; then
     support_24bit=yes
     support_frills=yes
-    support_linespace=yes
     support_inheritpixmap=yes
     support_tinting=yes
     support_fading=yes
     support_inheritpixmap=yes
     support_tinting=yes
     support_fading=yes
@@ -8633,14 +8663,6 @@ if test "${enable_frills+set}" = set; then
   fi
 fi;
 
   fi
 fi;
 
-# Check whether --enable-linespace or --disable-linespace was given.
-if test "${enable_linespace+set}" = set; then
-  enableval="$enable_linespace"
-  if test x$enableval = xyes -o x$enableval = xno; then
-    support_linespace=$enableval
-  fi
-fi;
-
 # Check whether --enable-24bit or --disable-24bit was given.
 if test "${enable_24bit+set}" = set; then
   enableval="$enable_24bit"
 # Check whether --enable-24bit or --disable-24bit was given.
 if test "${enable_24bit+set}" = set; then
   enableval="$enable_24bit"
@@ -8772,13 +8794,6 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 
 _ACEOF
 
 
-if test -z "$CFLAGS"; then
-    if test -z "$CCOPTS"; then
-       CCOPTS='-O'
-    fi
-    CFLAGS="$CCOPTS"
-fi
-
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -10968,6 +10983,7 @@ fi
 
 
 
 
 
 
+
 for ac_header in \
        assert.h \
        fcntl.h \
 for ac_header in \
        assert.h \
        fcntl.h \
@@ -10989,6 +11005,7 @@ for ac_header in \
        utmp.h \
        utmpx.h \
         stdint.h \
        utmp.h \
        utmpx.h \
         stdint.h \
+        pty.h \
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -15999,13 +16016,6 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 fi
 _ACEOF
 
 fi
-if test x$support_linespace = xno; then
-
-cat >>confdefs.h <<\_ACEOF
-#define NO_LINESPACE 1
-_ACEOF
-
-fi
 if test x$support_24bit = xyes; then
 
 cat >>confdefs.h <<\_ACEOF
 if test x$support_24bit = xyes; then
 
 cat >>confdefs.h <<\_ACEOF
@@ -16292,7 +16302,7 @@ else
   include_time_h="/* #include <time.h> */"
 fi
 
   include_time_h="/* #include <time.h> */"
 fi
 
-                                                                      ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile"
+                                                            ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -16825,7 +16835,6 @@ do
   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
   "src/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test/Makefile" ;;
   "src/rxvtlib.h" ) CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;;
   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
   "src/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test/Makefile" ;;
   "src/rxvtlib.h" ) CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;;
-  "W11/Makefile" ) CONFIG_FILES="$CONFIG_FILES W11/Makefile" ;;
   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:autoconf/config.h.in" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:autoconf/config.h.in" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -16911,6 +16920,14 @@ s,@ECHO_C@,$ECHO_C,;t t
 s,@ECHO_N@,$ECHO_N,;t t
 s,@ECHO_T@,$ECHO_T,;t t
 s,@LIBS@,$LIBS,;t t
 s,@ECHO_N@,$ECHO_N,;t t
 s,@ECHO_T@,$ECHO_T,;t t
 s,@LIBS@,$LIBS,;t t
+s,@build@,$build,;t t
+s,@build_cpu@,$build_cpu,;t t
+s,@build_vendor@,$build_vendor,;t t
+s,@build_os@,$build_os,;t t
+s,@host@,$host,;t t
+s,@host_cpu@,$host_cpu,;t t
+s,@host_vendor@,$host_vendor,;t t
+s,@host_os@,$host_os,;t t
 s,@VERSION@,$VERSION,;t t
 s,@DATE@,$DATE,;t t
 s,@LSMDATE@,$LSMDATE,;t t
 s,@VERSION@,$VERSION,;t t
 s,@DATE@,$DATE,;t t
 s,@LSMDATE@,$LSMDATE,;t t
@@ -16933,14 +16950,6 @@ s,@AWK@,$AWK,;t t
 s,@LINKER@,$LINKER,;t t
 s,@CXXCPP@,$CXXCPP,;t t
 s,@EGREP@,$EGREP,;t t
 s,@LINKER@,$LINKER,;t t
 s,@CXXCPP@,$CXXCPP,;t t
 s,@EGREP@,$EGREP,;t t
-s,@build@,$build,;t t
-s,@build_cpu@,$build_cpu,;t t
-s,@build_vendor@,$build_vendor,;t t
-s,@build_os@,$build_os,;t t
-s,@host@,$host,;t t
-s,@host_cpu@,$host_cpu,;t t
-s,@host_vendor@,$host_vendor,;t t
-s,@host_os@,$host_os,;t t
 s,@LN_S@,$LN_S,;t t
 s,@ECHO@,$ECHO,;t t
 s,@RANLIB@,$RANLIB,;t t
 s,@LN_S@,$LN_S,;t t
 s,@ECHO@,$ECHO,;t t
 s,@RANLIB@,$RANLIB,;t t